For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Get all release templates

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/release-plan-templates
GET
/api/admin/release-plan-templates
$curl https://app.unleash-instance.example.com/api/admin/release-plan-templates \
> -H "Authorization: <apiKey>"
1[
2 {
3 "id": "01JB9GGTGQYEQ9D40R17T3YVW2",
4 "discriminator": "template",
5 "name": "My release plan",
6 "createdByUserId": 53,
7 "createdAt": "2022-01-01T00:00:00Z",
8 "description": "This is my release plan",
9 "milestones": [
10 {
11 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
12 "name": "My milestone",
13 "sortOrder": 1,
14 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
15 "startedAt": "2024-01-01T00:00:00.000Z",
16 "transitionCondition": {
17 "intervalMinutes": 30
18 },
19 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
20 "pausedAt": "2024-01-01T00:00:00.000Z",
21 "strategies": [
22 {
23 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
24 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
25 "sortOrder": 9999,
26 "name": "flexibleRollout",
27 "strategyName": "flexibleRollout",
28 "title": "Gradual Rollout 25-Prod",
29 "parameters": {
30 "groupId": "some_new",
31 "rollout": "25",
32 "stickiness": "sessionId"
33 },
34 "constraints": [
35 {
36 "contextName": "appName",
37 "operator": "IN",
38 "caseInsensitive": false,
39 "inverted": false,
40 "values": [
41 "1",
42 "2"
43 ]
44 }
45 ],
46 "variants": [
47 {
48 "name": "blue_group",
49 "weight": 1,
50 "weightType": "fix",
51 "stickiness": "custom.context.field",
52 "payload": {
53 "type": "json",
54 "value": "{\"color\": \"red\"}"
55 }
56 }
57 ],
58 "segments": [
59 1,
60 2
61 ],
62 "disabled": false
63 }
64 ]
65 }
66 ],
67 "archivedAt": "2022-01-01T00:00:00Z"
68 }
69]

Enterprise feature

Returns a list of all release templates.

Was this page helpful?
Previous

Create a release template

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

#/components/schemas/releasePlanTemplatesSchema

idstring

The release plan/template’s ID. Release template IDs are ulids.

discriminatorenum
A field to distinguish between release plans and release templates.
Allowed values:
namestring
The name of the release template.
createdByUserIddouble

Release template: The ID of the user who created this template.

createdAtstringformat: "date-time"
The date and time that the release template was created.
descriptionstring or null
A description of the release template.
milestoneslist of objects
A list of the milestones in this release template.
archivedAtstring or nullformat: "date-time"
The date and time that the release template was archived.

Errors

401
Unauthorized Error